@ECHO OFF
rem ******                                 ******
rem ****   FILE_ID.DIZ extractor and adder   ****
rem ***       Coment and BBS-adds adder       ***
rem ***          for ZIP ARJ LZH RAR          ***
rem ****        By PeyloW of T.O.Y.S.        ****
rem ******                                 ******

rem Requires:
rem DIZADD.TXT    Text to add to bottom of FILE_ID.DIZ
rem COMMENT.TXT   ASCII picture as comment for ZIP, ARJ & RAR
rem FILELIST.TXT  A list of files to include in archive


if exist %4file_id.diz del %4file_id.diz
IF %3 == .ZIP goto ZIP
if %3 == .ARJ goto ARJ
if %3 == .LHA goto LHA
if %3 == .LZH goto LHA
if %3 == .RAR goto RAR
                      
goto END

:ZIP
pkunzip -o %1%2%3 file_id.diz %4 
if exist %4file_id.diz copy /A %4file_id.diz+DIZADD.TXT %4file_id.diz
pkzip -o %1%2%3 %4file_id.diz 
pkzip %1%2%3 -z < COMMENT.TXT
pkzip -o %1%2%3 @FILELIST.TXT 
goto END


:ARJ
arj e -y %1%2%3 %4 file_id.diz
if exist %4file_id.diz copy /A %4file_id.diz+DIZADD.TXT %4file_id.diz
arj a -y -e %1%2%3 %4file_id.diz 
arj a -y -e -zCOMMENT.TXT %1%2%3 !FILELIST.TXT 
goto END

:LHA
lha e -m %1%2%3 file_id.diz 
move file_id.diz %4file_id.diz
if exist %4file_id.diz copy /A %4file_id.diz+DIZADD.TXT %4file_id.diz
lha a -p -m %1%2%3 %4file_id.diz
lha a -p -m %1%2%3 @FILELIST.TXT
goto END

:RAR
rar e -y -o+ %1%2%3 file_id.diz %4
if exist %4file_id.diz copy /A %4file_id.diz+DIZADD.TXT %4file_id.diz
rar a -y -o+ -ep %1%2%3 %4file_id.diz
rar c -y %1%2%3 =COMMENT.TXT
rar a -y -o+ -ep %1%2%3 @FILELIST.TXT
goto END


:ULFAIL
\ITC\ULFAIL
GOTO END

:END
